AlmaLinux 2226 Published by

A ruby:2.7 security, bug fix, and enhancement update has been released for AlmaLinux 8.



ALSA-2023:3821 Moderate: ruby:2.7 security, bug fix, and enhancement update


Type:
security

Severity:
moderate

Release date:
2023-06-30

Description
The following packages have been upgraded to a later upstream version: ruby (2.7). (BZ#2189465)
Security Fix(es):
* ruby/cgi-gem: HTTP response splitting in CGI (CVE-2021-33621)
* ruby: ReDoS vulnerability in URI (CVE-2023-28755)
* ruby: ReDoS vulnerability in Time (CVE-2023-28756)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

References:
CVE-2021-33621
CVE-2023-28755
CVE-2023-28756
RHSA-2023:3821
ALSA-2023:3821

Updates packages:
rubygem-test-unit-3.3.4-139.module_el8.8.0+3578+2b4b06da.noarch.rpm
ruby-devel-2.7.8-139.module_el8.8.0+3578+2b4b06da.i686.rpm
rubygem-bundler-2.2.24-139.module_el8.8.0+3578+2b4b06da.noarch.rpm
rubygem-bigdecimal-2.0.0-139.module_el8.8.0+3578+2b4b06da.s390x.rpm
rubygem-openssl-2.1.4-139.module_el8.8.0+3578+2b4b06da.x86_64.rpm
rubygem-rdoc-6.2.1.1-139.module_el8.8.0+3578+2b4b06da.noarch.rpm
rubygem-io-console-0.5.6-139.module_el8.8.0+3578+2b4b06da.ppc64le.rpm
rubygem-power_assert-1.1.7-139.module_el8.8.0+3578+2b4b06da.noarch.rpm
ruby-libs-2.7.8-139.module_el8.8.0+3578+2b4b06da.x86_64.rpm
ruby-2.7.8-139.module_el8.8.0+3578+2b4b06da.i686.rpm
Packages/rubygem-bson-4.8.1-1.module_el8.5.0+117+35d1289b.ppc64le.rpm
Packages/rubygem-mongo-2.11.3-1.module_el8.3.0+6147+d0dfc1e4.noarch.rpm
rubygem-openssl-2.1.4-139.module_el8.8.0+3578+2b4b06da.aarch64.rpm
rubygem-bson-4.8.1-1.module_el8.6.0+3167+957ef55e.s390x.rpm
Packages/rubygem-mongo-doc-2.11.3-1.module_el8.3.0+6147+d0dfc1e4.noarch.rpm
Packages/rubygem-mysql2-0.5.3-1.module_el8.4.0+2399+4e3a532a.aarch64.rpm
Packages/rubygem-bson-4.8.1-1.module_el8.4.0+2399+4e3a532a.aarch64.rpm
ruby-2.7.8-139.module_el8.8.0+3578+2b4b06da.aarch64.rpm
rubygem-openssl-2.1.4-139.module_el8.8.0+3578+2b4b06da.s390x.rpm
ruby-libs-2.7.8-139.module_el8.8.0+3578+2b4b06da.s390x.rpm
rubygem-bigdecimal-2.0.0-139.module_el8.8.0+3578+2b4b06da.ppc64le.rpm
Packages/rubygem-pg-1.2.3-1.module_el8.3.0+6147+d0dfc1e4.x86_64.rpm
rubygem-json-2.3.0-139.module_el8.8.0+3578+2b4b06da.x86_64.rpm
Packages/rubygem-mysql2-0.5.3-1.module_el8.3.0+6147+d0dfc1e4.x86_64.rpm
ruby-2.7.8-139.module_el8.8.0+3578+2b4b06da.x86_64.rpm
rubygem-net-telnet-0.2.0-139.module_el8.8.0+3578+2b4b06da.noarch.rpm
rubygem-json-2.3.0-139.module_el8.8.0+3578+2b4b06da.aarch64.rpm
ruby-2.7.8-139.module_el8.8.0+3578+2b4b06da.ppc64le.rpm
rubygem-json-2.3.0-139.module_el8.8.0+3578+2b4b06da.i686.rpm
Packages/rubygem-mysql2-doc-0.5.3-1.module_el8.3.0+6147+d0dfc1e4.noarch.rpm
rubygem-xmlrpc-0.3.0-139.module_el8.8.0+3578+2b4b06da.noarch.rpm
rubygem-io-console-0.5.6-139.module_el8.8.0+3578+2b4b06da.aarch64.rpm
rubygem-bigdecimal-2.0.0-139.module_el8.8.0+3578+2b4b06da.x86_64.rpm
ruby-2.7.8-139.module_el8.8.0+3578+2b4b06da.s390x.rpm
rubygem-mysql2-0.5.3-1.module_el8.6.0+3167+957ef55e.s390x.rpm
ruby-default-gems-2.7.8-139.module_el8.8.0+3578+2b4b06da.noarch.rpm
ruby-devel-2.7.8-139.module_el8.8.0+3578+2b4b06da.aarch64.rpm
Packages/rubygem-pg-doc-1.2.3-1.module_el8.3.0+6147+d0dfc1e4.noarch.rpm
rubygem-bigdecimal-2.0.0-139.module_el8.8.0+3578+2b4b06da.i686.rpm
rubygem-io-console-0.5.6-139.module_el8.8.0+3578+2b4b06da.x86_64.rpm
Packages/rubygem-abrt-0.4.0-1.module_el8.3.0+6147+d0dfc1e4.noarch.rpm
Packages/rubygem-pg-1.2.3-1.module_el8.5.0+117+35d1289b.ppc64le.rpm
ruby-devel-2.7.8-139.module_el8.8.0+3578+2b4b06da.s390x.rpm
rubygem-rake-13.0.1-139.module_el8.8.0+3578+2b4b06da.noarch.rpm
rubygem-io-console-0.5.6-139.module_el8.8.0+3578+2b4b06da.s390x.rpm
rubygem-psych-3.1.0-139.module_el8.8.0+3578+2b4b06da.x86_64.rpm
Packages/rubygem-bson-doc-4.8.1-1.module_el8.3.0+6147+d0dfc1e4.noarch.rpm
rubygem-openssl-2.1.4-139.module_el8.8.0+3578+2b4b06da.i686.rpm
ruby-libs-2.7.8-139.module_el8.8.0+3578+2b4b06da.ppc64le.rpm
rubygem-openssl-2.1.4-139.module_el8.8.0+3578+2b4b06da.ppc64le.rpm
Packages/rubygem-pg-1.2.3-1.module_el8.4.0+2399+4e3a532a.aarch64.rpm
ruby-devel-2.7.8-139.module_el8.8.0+3578+2b4b06da.ppc64le.rpm
rubygem-psych-3.1.0-139.module_el8.8.0+3578+2b4b06da.aarch64.rpm
Packages/rubygem-abrt-doc-0.4.0-1.module_el8.3.0+6147+d0dfc1e4.noarch.rpm
ruby-doc-2.7.8-139.module_el8.8.0+3578+2b4b06da.noarch.rpm
rubygems-devel-3.1.6-139.module_el8.8.0+3578+2b4b06da.noarch.rpm
rubygem-psych-3.1.0-139.module_el8.8.0+3578+2b4b06da.i686.rpm
rubygem-json-2.3.0-139.module_el8.8.0+3578+2b4b06da.s390x.rpm
rubygem-psych-3.1.0-139.module_el8.8.0+3578+2b4b06da.s390x.rpm
rubygem-minitest-5.13.0-139.module_el8.8.0+3578+2b4b06da.noarch.rpm
rubygems-3.1.6-139.module_el8.8.0+3578+2b4b06da.noarch.rpm
ruby-libs-2.7.8-139.module_el8.8.0+3578+2b4b06da.i686.rpm
rubygem-io-console-0.5.6-139.module_el8.8.0+3578+2b4b06da.i686.rpm
rubygem-pg-1.2.3-1.module_el8.6.0+3167+957ef55e.s390x.rpm
ruby-libs-2.7.8-139.module_el8.8.0+3578+2b4b06da.aarch64.rpm
rubygem-json-2.3.0-139.module_el8.8.0+3578+2b4b06da.ppc64le.rpm
Packages/rubygem-bson-4.8.1-1.module_el8.3.0+6147+d0dfc1e4.x86_64.rpm
rubygem-bigdecimal-2.0.0-139.module_el8.8.0+3578+2b4b06da.aarch64.rpm
rubygem-irb-1.2.6-139.module_el8.8.0+3578+2b4b06da.noarch.rpm
ruby-devel-2.7.8-139.module_el8.8.0+3578+2b4b06da.x86_64.rpm
rubygem-psych-3.1.0-139.module_el8.8.0+3578+2b4b06da.ppc64le.rpm
Packages/rubygem-mysql2-0.5.3-1.module_el8.5.0+117+35d1289b.ppc64le.rpm

Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.

  ALSA-2023:3821 Moderate: ruby:2.7 security, bug fix, and enhancement update